package com.zcloud.config;

import org.java_websocket.WebSocketImpl;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * 说明：web服务器启动后立即执行
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
@Component
@Order(value = 1) // 1 代表启动顺序
public class StartWebsocketServer implements ApplicationRunner{

	@Override
    public void run(ApplicationArguments var1) throws Exception{
		System.out.println("-------------------定时任务系统启动成功-------------------");
    }

}
