package com.zcloud.mapper.datasource.hidden;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface HiddenMapper{

	/**定时修改过期隐患
	 * @param pd
	 * @throws Exception
	 */
	void editDeadline(PageData pd);

	/**查询昨日过期隐患。发短信
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getYestoday(PageData pd);

	/**绩效得分
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getDeptExamine(PageData pd);

    List<PageData> getUserExamine(PageData pd);
}

