package com.zcloud.mapper.datasource.check;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单管理
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
public interface ListManagerMapper {

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**查询今日待处理清单数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getListToday(PageData pd);

	/**待检查清单数量
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listExaminedNum(PageData pd);

	List<PageData> listTempNum(PageData pd);

	/**启用
	 * @param pd
	 * @throws Exception
	 */
	void startup(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteTemplist(PageData pd);

	List<PageData> selectTemp(PageData pd);

	/**待检查清单数量
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listExaminedNumJjr(PageData pd);


	/**查询所有清单清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getAllList(PageData pd);

	/**上期超期未检查的清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> overTimeRecord(PageData pd);

	/**上期超期未检查的清单（每日使用）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> overTimeRecordDay(PageData pd);

	/**节假日超期未检查的清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> overTimeRecordJjr(PageData pd);

}

